
package com.dxhy.admin.sys.service;

import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysConfigEntity;
import com.dxhy.common.utils.PageUtils;

/**
 * 系统配置信息
 *
 * @author jiaohongyang
 */
public interface SysConfigService extends IService<SysConfigEntity> {
    /**
     * 系统配置信息
     * 
     * @param params
     *            查询条件
     * @return 返回
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 保存配置信息
     * 
     * @param config
     *            配置信息
     */
    void saveConfig(SysConfigEntity config);

    /**
     * 更新配置信息
     * 
     * @param config
     *            配置信息
     * 
     */
    void update(SysConfigEntity config);

    /**
     * 根据key，更新value
     * 
     * @param key
     *            key 编码
     * @param value
     *            value 名称
     */
    void updateValueByKey(String key, String value);

    /**
     * 删除配置信息
     * 
     * @param id
     *            主键id
     */
    void delete(Long id);

    /**
     * 查询配置配置信息
     * 
     * @param code
     *            编码
     * @return 配置信息
     */
    SysConfigEntity queryCode(String code);

    /**
     * 根据id查询配置信息
     * 
     * @param id
     *            主键id
     * @return 配置信息
     */
    SysConfigEntity queryConfigById(Long id);

}
